<div id="review" class="pb-7 rounded-lg">
  <div class="sm:flex items-center justify-between">
    <div class="flex items-center gap-2">
      <div class="rounded border border-gray-200 h-10 d-flex items-center">
        <v-rating
          small
          readonly
          v-model="avg"
          color="yellow darken-3"
          background-color="grey darken-1"
          empty-icon="$ratingFull"
          hover
          large
        ></v-rating>
      </div>
      <div class="flex flex-col justify-between">
        <p class="mb-0 font-semibold text-base text-[#212B36]">Rate: {{avg}}</p>
        <p class="mb-0 text-sm text-[#212B36]">
          {{ listReview&&listReview.length}} Reviews
        </p>
      </div>
    </div>
    <span class="flex justify-end items-center sm:mt-0 mt-2">
      <v-btn
        class="text-capitalize !text-white elevation-0"
        color="#3B82F6"
        depressed
        @click="addReview = true"
      >
        <v-icon left>mdi-plus</v-icon>
        Add Review
      </v-btn>
    </span>
  </div>
  <div
    class="rounded-lg mt-8"
    :class="listReview.length ? 'border border-gray-200' : ''"
  >
    <v-skeleton-loader
      class="mx-auto mt-10"
      width="100%"
      type="card"
      v-if="loadingTable"
    >
    </v-skeleton-loader>
    <v-list v-else two-line class="!py-0 rounded-lg">
      <template v-for="(item, index) in listReview">
        <v-list-item
          :key="item + index"
          class="hover:bg-gray-50 pa-3 d-sm-flex d-block rounded-lg"
        >
          <div class="mr-3">
            <v-rating
              small
              readonly
              v-model="item.rating"
              color="yellow darken-3"
              background-color="grey darken-1"
              empty-icon="$ratingFull"
              hover
              large
            ></v-rating>
            <div class="pb-2 sm:px-2">
              <p class="mb-0 text-gray-900 font-semibold text-sm">
                {{item.name}}
              </p>
              <p class="mb-0 text-[#667085] text-xs">{{item.email}}</p>
            </div>
          </div>
          <!-- <template v-slot:default="{ active }"> -->
          <v-list-item-content>
            <p class="text-xs font-semibold">{{item.title}}</p>
            <p class="text-xs">{{item.content}}</p>
            <div class="flex justify-start items-center mt-2 !w-full">
              <div v-for="(item, index) in item.images" class="image-cmt mr-3">
                <img
                  :key="index"
                  :src="convertImage(item)"
                  class="w-full h-full object-scale-down"
                />
              </div>
            </div>
          </v-list-item-content>
          <div class="d-flex sm:w-52 gap-2 items-center justify-end sm:pr-4">
            <v-btn
              class="text-capitalize !text-white elevation-0"
              color="blue"
              @click="openEditDialog(item)"
              :disabled="loadingId === item._id"
            >
              <v-progress-circular
                v-if="loadingId === item._id"
                size="18"
                indeterminate
                color="primary"
              >
              </v-progress-circular>
              <div v-else class="flex items-center">
                <v-icon color="#ffffff"> mdi-pencil-box </v-icon>
                <span class="ml-2"> Edit </span>
              </div>
            </v-btn>

            <v-btn
              class="text-capitalize !text-white elevation-0"
              color="error"
              outlined
              @click="onDeleteReview(item._id)"
              :disabled="loadingId === item._id"
            >
              <v-progress-circular
                v-if="loadingId === item._id"
                size="18"
                indeterminate
                color="error"
              >
              </v-progress-circular>
              <span v-else> Remove </span>
            </v-btn>
            <v-btn
              v-if="item.approved == false"
              class="text-capitalize !text-white elevation-0"
              color="#3B82F6"
              depressed
              @click="onApproveReview(item._id)"
            >
              Accept
            </v-btn>
          </div>
          <!-- </template> -->
        </v-list-item>
        <v-divider
          v-if="index < listReview.length - 1"
          :key="index"
        ></v-divider>
      </template>
      <!-- </v-list-item-group> -->
    </v-list>
  </div>

  <!-- Edit review -->
  <div>
    <v-row justify="center">
      <v-dialog v-model="editReview" max-width="680" class="">
        <v-card class="">
          <div class="d-flex align-center justify-space-between py-4 px-6">
            <p class="mb-0 fsize-20 contentBlack font-semibold">Edit Review</p>
            <v-btn
              color="#DBE0E5"
              icon
              class="elevation-0 rounded-circle px-0"
              @click="editReview = false"
            >
              <v-icon color="#48545B"> mdi-close </v-icon>
            </v-btn>
          </div>
          <v-divider></v-divider>
          <div class="p-6">
            <div class="d-flex w-full gap-4">
              <div class="flex-1">
                <p class="mb-0 text-sm font-semibold">Name:</p>
                <v-text-field
                  dense
                  placeholder="Enter Name"
                  outlined
                  v-model="singleReview.name"
                >
                </v-text-field>
              </div>
              <div class="flex-1">
                <p class="mb-0 text-sm font-semibold">Email:</p>
                <v-text-field
                  type="email"
                  dense
                  placeholder="abc@example.com"
                  outlined
                  v-model="singleReview.email"
                >
                </v-text-field>
              </div>
            </div>
            <div class="d-flex w-full gap-4">
              <div class="flex-1">
                <p class="mb-0 text-sm font-semibold">Rating:</p>
                <div class="d-flex">
                  <div
                    class="rounded border border-gray-200 h-10 d-flex items-center w-auto"
                  >
                    <div>
                      <v-rating
                        small
                        v-model="singleReview.rating"
                        color="yellow darken-3"
                        background-color="grey darken-1"
                        empty-icon="$ratingFull"
                        hover
                        large
                      ></v-rating>
                    </div>
                  </div>
                </div>
              </div>
              <div class="flex-1">
                <p class="mb-0 text-sm font-semibold">Short Desciption:</p>
                <v-text-field dense v-model="singleReview.title" outlined>
                </v-text-field>
              </div>
            </div>
            <div class="my-5">
              <button
                @click="onUploadImage()"
                class="h-28 border-dashed border-gray-200 border-2 w-28"
              >
                <div class="flex flex-col">
                  <v-icon>mdi-image-plus</v-icon>
                  <p class="text-gray-500 mb-0 text-sm flex flex-col">
                    Add Image
                  </p>
                </div>
              </button>
              <div class="flex items-center gap-3 mt-4 flex-wrap">
                <div
                  class="flex items-center h-28 !max-w-[112px] !min-w-[112px] relative"
                  v-for="(item,idx) in listImageRender"
                  :key="item._id"
                >
                  <img
                    :src="convertImage(item)"
                    alt=""
                    class="w-full h-full object-scale-down"
                  />
                  <button
                    @click="clearImg(item)"
                    class="w-6 h-6 absolute top-[-12px] right-[-12px] flex items-center justify-center rounded-full bg-white"
                  >
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      fill="none"
                      viewBox="0 0 24 24"
                      stroke-width="1.5"
                      stroke="currentColor"
                      class="w-5 h-5"
                    >
                      <path
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        d="M6 18L18 6M6 6l12 12"
                      />
                    </svg>
                  </button>
                </div>
              </div>
              <v-file-input
                class="d-none"
                ref="fileImage"
                multiple
                v-model="listImageRender"
                accept="image/png, image/jpeg, image/bmp"
                placeholder="Pick an avatar"
                prepend-icon="mdi-camera"
                label="Avatar"
                @change="onChangeImage"
              >
              </v-file-input>
            </div>
            <div class="w-full">
              <p class="mb-0 text-sm font-semibold">Full Review:</p>
              <v-textarea
                v-model="singleReview.content"
                dense
                outlined
                rows="4"
                hide-details
              >
              </v-textarea>
            </div>
          </div>
          <v-divider></v-divider>
          <div class="py-4 px-6 d-flex justify-end">
            <v-btn
              class="elevation-0 rounded mr-3"
              color="#D1DBE0"
              outlined
              @click="editReview = false"
              :disabled="loadingEdit"
            >
              <span class="!font-semibold text-none black--text"> Cancel </span>
            </v-btn>
            <v-btn
              class="text-capitalize !text-white elevation-0"
              color="#3B82F6"
              depressed
              @click="onEditReview()"
              :disabled="loadingEdit"
            >
              <v-progress-circular
                v-if="loading"
                size="18"
                indeterminate
                color="#076CE3"
              >
              </v-progress-circular>
              <span v-else> Edit Review </span>
            </v-btn>
          </div>
        </v-card>
      </v-dialog>
    </v-row>
  </div>

  <!-- Add review -->
  <div>
    <v-row justify="center">
      <v-dialog v-model="addReview" max-width="680" class="">
        <v-card class="">
          <div class="d-flex align-center justify-space-between py-4 px-6">
            <p class="mb-0 fsize-20 contentBlack font-semibold">Add Review</p>
            <v-btn
              color="#DBE0E5"
              icon
              class="elevation-0 rounded-circle px-0"
              @click="closeAddReview()"
            >
              <v-icon color="#48545B"> mdi-close </v-icon>
            </v-btn>
          </div>
          <v-divider></v-divider>
          <div class="p-6">
            <div class="d-flex w-full gap-4">
              <div class="flex-1">
                <p class="mb-0 text-sm font-semibold">Name:</p>
                <v-text-field
                  dense
                  placeholder="Enter Name"
                  outlined
                  v-model="form.name"
                >
                </v-text-field>
              </div>
              <div class="flex-1">
                <p class="mb-0 text-sm font-semibold">Email:</p>
                <v-text-field
                  type="email"
                  dense
                  placeholder="abc@example.com"
                  outlined
                  v-model="form.email"
                >
                </v-text-field>
              </div>
            </div>
            <div class="d-flex w-full gap-4">
              <div class="flex-1">
                <p class="mb-0 text-sm font-semibold">Rating:</p>
                <div class="d-flex">
                  <div
                    class="rounded border border-gray-200 h-10 d-flex items-center w-auto"
                  >
                    <div>
                      <v-rating
                        small
                        v-model="form.rating"
                        color="yellow darken-3"
                        background-color="grey darken-1"
                        empty-icon="$ratingFull"
                        hover
                        large
                      ></v-rating>
                    </div>
                  </div>
                </div>
              </div>
              <div class="flex-1">
                <p class="mb-0 text-sm font-semibold">Short Desciption:</p>
                <v-text-field dense v-model="form.title" outlined>
                </v-text-field>
              </div>
            </div>
            <div class="my-5">
              <button
                @click="onUploadImage()"
                class="h-28 border-dashed border-gray-200 border-2 w-28"
              >
                <div class="flex flex-col">
                  <v-icon>mdi-image-plus</v-icon>
                  <p class="text-gray-500 mb-0 text-sm flex flex-col">
                    Add Image
                  </p>
                </div>
              </button>
              <div class="flex items-center gap-3 mt-4 flex-wrap">
                <div
                  class="flex items-center h-28 !max-w-[112px] !min-w-[112px] relative"
                  v-for="(item,idx) in listImageRenderPost"
                  :key="item._id"
                >
                  <img
                    :src="item"
                    alt=""
                    class="w-full h-full object-scale-down"
                  />
                  <button
                    @click="clearImgPost(item)"
                    class="w-6 h-6 absolute top-[-12px] right-[-12px] flex items-center justify-center rounded-full bg-white"
                  >
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      fill="none"
                      viewBox="0 0 24 24"
                      stroke-width="1.5"
                      stroke="currentColor"
                      class="w-5 h-5"
                    >
                      <path
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        d="M6 18L18 6M6 6l12 12"
                      />
                    </svg>
                  </button>
                </div>
              </div>
              <v-file-input
                class="d-none"
                ref="fileImage"
                multiple
                v-model="listImageRenderPost"
                accept="image/png, image/jpeg, image/bmp"
                placeholder="Pick an avatar"
                prepend-icon="mdi-camera"
                label="Avatar"
                @change="onChangeImagePost"
              >
              </v-file-input>
            </div>
            <div class="w-full">
              <p class="mb-0 text-sm font-semibold">Full Review:</p>
              <v-textarea
                v-model="form.content"
                dense
                outlined
                rows="4"
                hide-details
              >
              </v-textarea>
            </div>
          </div>
          <v-divider></v-divider>
          <div class="py-4 px-6 d-flex justify-end">
            <v-btn
              class="elevation-0 rounded mr-3"
              color="#D1DBE0"
              outlined
              @click="closeAddReview()"
              :disabled="loading"
            >
              <span class="!font-semibold text-none black--text"> Cancel </span>
            </v-btn>
            <v-btn
              class="text-capitalize !text-white elevation-0"
              color="#3B82F6"
              depressed
              @click="onPostReview()"
              :disabled="loading"
            >
              <v-progress-circular
                v-if="loading"
                size="18"
                indeterminate
                color="#076CE3"
              >
              </v-progress-circular>
              <span v-else> Add new Review </span>
            </v-btn>
          </div>
        </v-card>
      </v-dialog>
    </v-row>
  </div>
</div>
